# gnupg_encrypt

(PECL gnupg >= 0.1)

gnupg_encrypt — Encrypts a given text

### Description

gnupg_encrypt ( resource `$identifier` , string `$plaintext` ) : string

Encrypts the given `plaintext` with the keys, which were set with gnupg_addencryptkey before and returns the encrypted text.

### Parameters

`identifier`

  The gnupg identifier, from a call to gnupg_init() or gnupg.

`plaintext`

  The text being encrypted.

### Return Values

On success, this function returns the encrypted text. On failure, this function returns `FALSE`.

### Examples

Example #1 Procedural gnupg_encrypt() example

`<?php
$res = gnupg_init();
gnupg_addencryptkey($res,"8660281B6051D071D94B5B230549F9DC851566DC");
$enc = gnupg_encrypt($res, "just a test");
echo $enc;
?>`

Example #2 OO gnupg_encrypt() example

`<?php
$gpg = new gnupg();
$gpg -> addencryptkey("8660281B6051D071D94B5B230549F9DC851566DC");
$enc = $gpg -> encrypt("just a test");
echo $enc;
?>`